Hashrate IndexAPI DocumentationNetwork

Get Global Hashrate Heatmap

GET
/network/global-hashrate-heatmaps

/network/global-hashrate-heatmaps has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

quarter?string
year?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/network/global-hashrate-heatmaps?quarter=Q1%2C+Q2%2C+Q3%2C+Q4&year=2025"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/GlobalHashrateHeatmapData.json",  "data": [    {      "countryName": "string",      "hashrateAmount": 0.1,      "marketShare": 0.1,      "quarter": "string",      "year": "string"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}